---
title: Favorite a project
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Case Management
---

# Favorite a project{% #favorite-a-project %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/cases/projects/{project_id}/favorites |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/cases/projects/{project_id}/favorites |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/cases/projects/{project_id}/favorites      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/cases/projects/{project_id}/favorites      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/cases/projects/{project_id}/favorites  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/cases/projects/{project_id}/favorites     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/cases/projects/{project_id}/favorites |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/cases/projects/{project_id}/favorites |

### Overview

Marks a case project as a favorite for the current authenticated user.

OAuth apps require the `cases_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#case-management) to access this endpoint.



### Arguments

#### Path Parameters

| Name                         | Type   | Description   |
| ---------------------------- | ------ | ------------- |
| project_id [*required*] | string | Project UUID. |

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export project_id="e555e290-ed65-49bd-ae18-8acbfcf18db7" \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/cases/projects/${project_id}/favorites" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
